package com.changhu.module.management.service;

import com.changhu.module.management.pojo.params.IndexCheckPassParams;
import com.changhu.module.management.pojo.params.IndexCheckStatusParams;
import com.changhu.module.management.pojo.params.IndexDisableOrEnableParams;
import com.changhu.module.management.pojo.vo.UnitCheckStatusVo;

/**
 * @author 20252
 * @createTime 2024/9/2 上午9:49
 * @desc IndexService...
 */
public interface IndexService {

    /**
     * 审核通过
     *
     * @param params 审核参数
     */
    void checkPass(IndexCheckPassParams params);

    /**
     * 获取审核状态
     *
     * @param params 参数
     * @return 结果
     */
    UnitCheckStatusVo getCheckStatus(IndexCheckStatusParams params);

    /**
     * 启用或者禁用单位
     *
     * @param params 参数
     */
    void disableOrEnable(IndexDisableOrEnableParams params);
}
