package com.changhu.module.management.service.impl;

import com.changhu.module.management.pojo.params.IndexCheckPassParams;
import com.changhu.module.management.pojo.params.IndexCheckStatusParams;
import com.changhu.module.management.pojo.params.IndexDisableOrEnableParams;
import com.changhu.module.management.pojo.vo.UnitCheckStatusVo;
import com.changhu.module.management.service.IndexService;
import org.springframework.stereotype.Service;

/**
 * @author 20252
 * @createTime 2024/9/2 上午9:49
 * @desc IndexServiceImpl...
 */
@Service
public class IndexServiceImpl implements IndexService {
    @Override
    public void checkPass(IndexCheckPassParams params) {
        params.getUnitOptType()
                .getHandler()
                .pass(params.getCheckDataId());
    }

    @Override
    public UnitCheckStatusVo getCheckStatus(IndexCheckStatusParams params) {
        return params.getUnitOptType()
                .getHandler()
                .getCheckStatus(params.getOnlyCode());
    }

    @Override
    public void disableOrEnable(IndexDisableOrEnableParams params) {
        params.getUnitOptType()
                .getHandler()
                .disableOrEnable(params.getUnitId());
    }
}
