import {SystemMenu} from "@/types/config";

export const ROUTER_WHITE_LIST: string[] = ['/login', '/test','/enterprise'];
export const CLIENT_TYPE:string = "MANAGEMENT_SECURITY";


export const SYSTEM_MENUS: SystemMenu[] = [
    {
        title: '首页',
        name: 'index',
        path: '/index',
        type: "menu",
        component: () => import('@/views/index.vue')
    }, {
        title: '用户管理',
        name: 'userManagement',
        path: '/userManagement',
        type: 'dir',
        children: [
            {
                title: '后台管理',
                name: 'bgManagement',
                path: '/bgManagement',
                type: 'menu',
                component: () => import('@/views/userManagement/bgManagement/index.vue')
            }, {
                title: '小程序管理',
                name: 'uniManagement',
                path: '/uniManagement',
                type: 'menu',
                component: () => import('@/views/userManagement/uniManagement/index.vue')
            }
        ]
    }
]
