import {BaseTableRowRecord} from "@/types/components/table";

export interface BgManagementPagerQueryParams extends BaseTableRowRecord{
    /** 名称 **/
    name?: string;
    /** 社会编码 **/
    socialCode?: string;
    /** 行政区划编码 **/
    administrativeDivisionCodes?: string[];
    /** 是否启用 **/
    isEnable?: number;
    /** 审核状态 **/
    checkStatus?: number;
    /** 账号  **/
    account?:string,
    sex?:BaseEnum<number>,
    telephone?:string,
    createTime?:string,
    snowFlakeId?:string,
    remark?:string,
}

