package com.changhu.module.management.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.management.pojo.entity.ServiceProject;
import com.changhu.module.management.pojo.queryParams.ServiceProjectPagerQueryParams;
import com.changhu.module.management.pojo.vo.ServiceProjectPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * service_project (服务项目)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface ServiceProjectMapper extends BaseMapper<ServiceProject> {

    /**
     * 分页查询
     *
     * @param page   分页对象
     * @param params 查询参数
     * @return 结果
     */
    Page<ServiceProjectPagerVo> pager(@Param("page") Page<ServiceProjectPagerVo> page,
                                      @Param("params") ServiceProjectPagerQueryParams params);
}
