package com.changhu.module.management.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.changhu.module.management.pojo.entity.ManagementPoliceUnitUser;
import com.changhu.module.management.pojo.params.ManagementPoliceUserSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.ManagementPoliceUnitUserPagerQueryParams;
import com.changhu.module.management.pojo.vo.ManagementPoliceUnitUserPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

/**
 * management_police_user (后台-公安单位用户表)  服务类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
public interface ManagementPoliceUnitUserService extends IService<ManagementPoliceUnitUser> {

    /**
     * 新增或者保持
     *
     * @param params 参数
     */
    void saveOrUpdate(ManagementPoliceUserSaveOrUpdateParams params);

    /**
     * 分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<ManagementPoliceUnitUserPagerVo> pager(PageParams<ManagementPoliceUnitUserPagerQueryParams, ManagementPoliceUnitUserPagerVo> queryParams);

    /**
     * 根据id删除
     *
     * @param managementPoliceUnitUserId 后台公安用户id
     */
    void deleteById(Long managementPoliceUnitUserId);
}
