package com.changhu.service;

import com.changhu.common.pojo.model.JsonResult;
import com.changhu.pojo.params.PoliceUnitRegisterParams;
import com.changhu.pojo.params.SecurityUnitRegisterParams;

/**
 * @author 20252
 * @createTime 2024/8/30 下午3:18
 * @desc CommonService...
 */
public interface CommonService {

    /**
     * 保安单位注册
     *
     * @param params 注册参数
     */
    JsonResult<Void> securityUnitRegister(SecurityUnitRegisterParams params);

    /**
     * 公安单位注册
     *
     * @param params 注册参数
     */
    JsonResult<Void> policeUnitRegister(PoliceUnitRegisterParams params);
}
